package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DrpPriceByMaterialIdVO {
   private Long materialId;
   private BigDecimal unitPrice;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;

   public Long getMaterialId() {
      return this.materialId;
   }

   public BigDecimal getUnitPrice() {
      return this.unitPrice;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitPrice(final BigDecimal unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }


   public String toString() {
      Long var10000 = this.getMaterialId();
      return "DrpPriceByMaterialIdVO(materialId=" + var10000 + ", unitPrice=" + String.valueOf(this.getUnitPrice()) + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ")";
   }
}
